Bug 256268 - [NEW PORT] sysutils/py-concurrent-log-handler: RotatingFileHandler replacement with concurrency, gzip
Summary: [NEW PORT] sysutils/py-concurrent-log-handler: RotatingFileHandler replacemen...
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: feature
Depends on:
Blocks:
 
Reported: 2021-05-30 17:30 UTC by risner
Modified: 2021-06-02 12:37 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
git staged diff (1.52 KB, patch)
2021-05-30 17:30 UTC, risner
no flags Details | Diff
Updated file (1.50 KB, patch)
2021-05-31 14:24 UTC, risner
no flags Details | Diff
Final staged git diff. (1.50 KB, patch)
2021-05-31 18:35 UTC, risner
no flags Details | Diff
FIxed issues (1.62 KB, patch)
2021-06-02 01:20 UTC, risner
no flags Details | Diff
Typo in required versions. Fixed. (1.63 KB, patch)
2021-06-02 01:22 UTC, risner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description risner 2021-05-30 17:30:49 UTC
Created attachment 225380 [details]
git staged diff
Comment 1 risner 2021-05-31 14:24:14 UTC
Created attachment 225404 [details]
Updated file

Ran through portlint and resolved issues.
New git staged diff.
Comment 2 risner 2021-05-31 18:35:39 UTC
Created attachment 225422 [details]
Final staged git diff.

More cleanup and fixed incorrect license.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2021-06-02 00:01:14 UTC
Review items:

  - Add LICENSE_FILE when a license file file is provided in the distribution file(s).
  - setup.py declares dependencies not references in port:

  install_requires = [
    'portalocker<=1.7.1; python_version < "3"',
    'portalocker>=1.4.0; python_version >= "3"',
  ]
Comment 4 risner 2021-06-02 01:20:13 UTC
Created attachment 225486 [details]
FIxed issues

Obsoleted the old patch, updated with the license file and the missing dep.

Thanks
Comment 5 risner 2021-06-02 01:22:15 UTC
Created attachment 225487 [details]
Typo in required versions. Fixed.

Take 2
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2021-06-02 02:34:55 UTC
Only other thing (for future reference), is when producing patches, generate them against the ports root, so the category/path is available
Comment 7 risner 2021-06-02 12:37:43 UTC
Acknowledged. Thanks.